%define upstream_name    Data-Float
%define upstream_version 0.012

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Details of the floating point data type
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(integer)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is about the native floating point numerical data type. A
floating point number is one of the types of datum that can appear in the
numeric part of a Perl scalar. This module supplies constants describing
the native floating point type, classification functions, and functions to
manipulate floating point values at a low level.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Mon Mar 05 2012 jquelin <jquelin> 0.12.0-1.mga2
+ Revision: 218678
- update to 0.012

* Tue Jan 18 2011 jquelin <jquelin> 0.11.0-1.mga1
+ Revision: 22282
- cleaning spec file
- imported package perl-Data-Float

